<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
</head>
<body>
  <script>
    var array = ['abc', true, 123];
    var len = array.push('push', 'fff'); // push는 원본 배열 끝에 항목을 추가하고 배열 길이를 반환함
    document.write(array + '<br/>');
    document.write('<br/>');

    len = array.unshift('unshift'); // unshift는 원본 배열 시작점에 항목을 추가하고 배열 길이를 반환함
    document.write(array + '<br/>');
    document.write('<br/>');

    array = array.concat('333', 333);
    document.write(array + '<br/>'); // concat은 원본 배열은 그대로 두고 내용이 추가된 배열을 반환함
    document.write('<br/>');

    array.splice(1, 0, '사이에 추가'); // 1번째부터 0개를 제거하고 입력된 항목을 추가한다.
    document.write(array + '<br/>');
  </script>
</body>
</html>